@charset "UTF-8";
/* ======================================================================
 p-top
====================================================================== */
.main-visual {
  padding: 9.7222222222vw 0 17.3611111111vw;
}
@media screen and (max-width: 767px) {
  .main-visual {
    padding: 35.8974358974vw 0 23.0769230769vw;
  }
}
.main-visual__image {
  width: 91.0416666667vw;
}
@media screen and (max-width: 767px) {
  .main-visual__image {
    width: 100vw;
  }
}

.catch-copy-sec__title {
  position: relative;
  z-index: 0;
  padding: 4.5138888889vw 0 0 13.1944444444vw;
  height: 13.8888888889vw;
  font-size: 2.0833333333vw;
  line-height: 1.4666666667;
}
@media screen and (max-width: 767px) {
  .catch-copy-sec__title {
    padding: 5.1282051282vw 3.8461538462vw 0 10.2564102564vw;
    height: 33.3333333333vw;
    font-size: 6.1538461538vw;
    line-height: 1.5;
    -webkit-font-feature-settings: "palt";
    font-feature-settings: "palt";
  }
}
.catch-copy-sec__title:before {
  position: absolute;
  top: 0;
  left: 0;
  width: 11.1111111111vw;
  height: 13.8888888889vw;
  border-radius: 0.4166666667vw;
  background: rgba(197, 154, 78, 0.15);
  content: "";
}
@media screen and (max-width: 767px) {
  .catch-copy-sec__title:before {
    width: 5.1282051282vw;
    height: 33.3333333333vw;
    border-radius: 0 1.5384615385vw 1.5384615385vw 0;
  }
}
.catch-copy-sec__text-box {
  margin-top: -2.0833333333vw;
  padding: 2.0833333333vw 2.3611111111vw 1.9444444444vw 13.6111111111vw;
  width: 78.4722222222vw;
  border-radius: 0.4166666667vw;
  background: rgba(197, 154, 78, 0.15);
  letter-spacing: 0.08em;
}
@media screen and (max-width: 767px) {
  .catch-copy-sec__text-box {
    margin-top: -5.1282051282vw;
    padding: 5.1282051282vw 3.8461538462vw 5.1282051282vw 10.2564102564vw;
    width: 94.8717948718vw;
    height: auto;
    border-radius: 0 1.5384615385vw 1.5384615385vw 0;
  }
}
.catch-copy-sec__text-box p {
  font-size: 1.1111111111vw;
  line-height: 2.3125;
}
@media screen and (max-width: 767px) {
  .catch-copy-sec__text-box p {
    font-size: 4.1025641026vw;
    line-height: 2.3125;
  }
}

.service-sec {
  margin: 0 auto;
  padding: 6.25vw 0 0;
  width: 83.3333333333vw;
}
@media screen and (max-width: 767px) {
  .service-sec {
    padding: 15.3846153846vw 5.1282051282vw 0;
    width: 100%;
  }
}
.service-sec__title {
  margin-bottom: 4.1666666667vw;
}
@media screen and (max-width: 767px) {
  .service-sec__title {
    margin-bottom: 17.9487179487vw;
  }
}

.strengths-sec {
  margin: 0 auto;
  padding: 6.25vw 0 0;
  width: 83.3333333333vw;
}
@media screen and (max-width: 767px) {
  .strengths-sec {
    padding: 15.3846153846vw 5.1282051282vw 0;
    width: 100%;
  }
}
.strengths-sec__title {
  margin-bottom: 10.4166666667vw;
}
@media screen and (max-width: 767px) {
  .strengths-sec__title {
    margin-bottom: 20.5128205128vw;
  }
}
.strengths-sec__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 4.1666666667vw;
  counter-reset: strengths;
}
@media screen and (max-width: 767px) {
  .strengths-sec__list {
    grid-template-columns: repeat(1, 1fr);
    gap: 20.5128205128vw;
  }
}
.strengths-sec__item {
  position: relative;
  z-index: 0;
  padding: 1.3888888889vw;
  width: 100%;
  border: 0.0694444444vw solid #c59a4e;
  border-radius: 0.4166666667vw;
  background: #fff;
  counter-increment: strengths;
}
@media screen and (max-width: 767px) {
  .strengths-sec__item {
    padding: 5.1282051282vw;
    border: 0.2564102564vw solid #c59a4e;
    border-radius: 1.5384615385vw;
  }
}
.strengths-sec__item:before {
  position: absolute;
  top: -0.85em;
  right: 0.6944444444vw;
  color: #c59a4e;
  content: counter(strengths);
  font-weight: 900;
  font-size: 3.4722222222vw;
  font-family: "Roboto", "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "游ゴシック", YuGothic, sans-serif;
  line-height: 1;
}
@media screen and (max-width: 767px) {
  .strengths-sec__item:before {
    right: 2.5641025641vw;
    font-size: 12.8205128205vw;
  }
}
.strengths-sec__item-title {
  margin-bottom: 1.3888888889vw;
  font-weight: bold;
  font-size: 1.6666666667vw;
  line-height: 1.5;
}
@media screen and (max-width: 767px) {
  .strengths-sec__item-title {
    margin-bottom: 5.1282051282vw;
    font-size: 6.1538461538vw;
    line-height: 1.5;
  }
}
.strengths-sec__item-text {
  font-size: 1.1111111111vw;
  line-height: 1.875;
}
@media screen and (max-width: 767px) {
  .strengths-sec__item-text {
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}

.message-sec {
  margin: 0 auto;
  padding: 15.625vw 0 0;
  width: 83.3333333333vw;
}
@media screen and (max-width: 767px) {
  .message-sec {
    padding: 23.0769230769vw 5.1282051282vw 0;
    width: 100%;
  }
}
.message-sec__title {
  margin-bottom: 6.9444444444vw;
}
@media screen and (max-width: 767px) {
  .message-sec__title {
    margin-bottom: 17.9487179487vw;
  }
}
.message-sec__contents {
  margin: 0 auto;
  width: 52.0833333333vw;
}
@media screen and (max-width: 767px) {
  .message-sec__contents {
    width: 100%;
  }
}
.message-sec__contents-title {
  margin: 0 0 2.0833333333vw;
  font-weight: bold;
  font-size: 2.5vw;
  line-height: 1.4722222222;
}
@media screen and (max-width: 767px) {
  .message-sec__contents-title {
    margin: 0 0 15.3846153846vw;
    font-size: 6.1538461538vw;
    line-height: 1.5;
  }
}
.message-sec__contents-text {
  font-size: 1.1111111111vw;
  line-height: 2.3125;
}
@media screen and (max-width: 767px) {
  .message-sec__contents-text {
    font-size: 4.1025641026vw;
    line-height: 2.3125;
  }
}
.message-sec__contents-link {
  display: block;
  margin: 0.2083333333vw 0 0 auto;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}
@media screen and (max-width: 767px) {
  .message-sec__contents-link {
    margin: 7.6923076923vw 0 0;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbInAtdG9wLnNjc3MiLCJfc2V0dGluZy5zY3NzIl0sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiI7QUFFQTtBQUFBO0FBQUE7QUFHQTtFQUNFOztBQ3lLQTtFRDFLRjtJQUlJOzs7QUFFRjtFQUNFOztBQ21LRjtFRHBLQTtJQUlJOzs7O0FBTUo7RUFDRTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7O0FDb0pGO0VEMUpBO0lBU0k7SUFDQTtJQUNBO0lBQ0E7SUFFQTs7O0FBRUY7RUFDRTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBOztBQ2tJSjtFRDFJRTtJQVdJO0lBQ0E7SUFDQTs7O0FBSU47RUFDRTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7O0FDbUhGO0VEekhBO0lBU0k7SUFDQTtJQUNBO0lBQ0E7SUFDQTs7O0FBRUY7RUFDRTtFQUNBOztBQ3dHSjtFRDFHRTtJQUtJO0lBQ0E7Ozs7QUFNUjtFQUNFO0VBQ0E7RUFDQTs7QUMyRkE7RUQ5RkY7SUFNSTtJQUNBOzs7QUFHRjtFQUNFOztBQ21GRjtFRHBGQTtJQUlJOzs7O0FBS047RUFDRTtFQUNBO0VBQ0E7O0FDd0VBO0VEM0VGO0lBTUk7SUFDQTs7O0FBRUY7RUFDRTs7QUNpRUY7RURsRUE7SUFJSTs7O0FBR0o7RUFDRTtFQUNBO0VBQ0E7RUFDQTs7QUN1REY7RUQzREE7SUFPSTtJQUNBOzs7QUFHSjtFQUNFO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7O0FDd0NGO0VEaERBO0lBV0k7SUFDQTtJQUNBOzs7QUFFRjtFQUNFO0VBQ0E7RUFDQTtFQUNBLE9DMUdVO0VEMkdWO0VBQ0E7RUFDQTtFQUNBLGFDekhHO0VEMEhIOztBQ3dCSjtFRGpDRTtJQVlJO0lBQ0E7OztBQUdKO0VBQ0U7RUFDQTtFQUNBO0VBQ0E7O0FDYUo7RURqQkU7SUFPSTtJQUNBO0lBQ0E7OztBQUdKO0VBQ0U7RUFDQTs7QUNHSjtFRExFO0lBS0k7SUFDQTs7OztBQU1SO0VBQ0U7RUFDQTtFQUNBOztBQ1ZBO0VET0Y7SUFNSTtJQUNBOzs7QUFHRjtFQUNFOztBQ2xCRjtFRGlCQTtJQUlJOzs7QUFJSjtFQUNFO0VBQ0E7O0FDM0JGO0VEeUJBO0lBS0k7OztBQUdGO0VBQ0U7RUFDQTtFQUNBO0VBQ0E7O0FDckNKO0VEaUNFO0lBT0k7SUFDQTtJQUNBOzs7QUFJSjtFQUNFO0VBQ0E7O0FDaERKO0VEOENFO0lBS0k7SUFDQTs7O0FBSUo7RUFDRTtFQUNBO0VBQ0E7O0FDM0RKO0VEd0RFO0lBTUkiLCJmaWxlIjoicC10b3AuY3NzIiwic291cmNlc0NvbnRlbnQiOlsiQHVzZSBcInNldHRpbmdcIiBhcyAqO1xuXG4vKiA9PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4gcC10b3Bcbj09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT0gKi9cbi5tYWluLXZpc3VhbCB7XG4gIHBhZGRpbmc6IHB2UEMoMTQwKSAwIHB2UEMoMjUwKTtcblxuICBAaW5jbHVkZSBzcCB7XG4gICAgcGFkZGluZzogcHYoMTQwKSAwIHB2KDkwKTtcbiAgfVxuICAmX19pbWFnZSB7XG4gICAgd2lkdGg6IHB2UEMoMTMxMSk7XG5cbiAgICBAaW5jbHVkZSBzcCB7XG4gICAgICB3aWR0aDogcHYoMzkwKTtcbiAgICB9XG4gIH1cbn1cblxuLmNhdGNoLWNvcHktc2VjIHtcbiAgJl9fdGl0bGUge1xuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICB6LWluZGV4OiAwO1xuICAgIHBhZGRpbmc6IHB2UEMoNjUpIDAgMCBwdlBDKDE5MCk7XG4gICAgaGVpZ2h0OiBwdlBDKDIwMCk7XG4gICAgZm9udC1zaXplOiBwdlBDKDMwKTtcbiAgICBsaW5lLWhlaWdodDogY2FsYyg0NCAvIDMwKTtcblxuICAgIEBpbmNsdWRlIHNwIHtcbiAgICAgIHBhZGRpbmc6IHB2KDIwKSBwdigxNSkgMCBwdig0MCk7XG4gICAgICBoZWlnaHQ6IHB2KDEzMCk7XG4gICAgICBmb250LXNpemU6IHB2KDI0KTtcbiAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDM2IC8gMjQpO1xuXG4gICAgICBmb250LWZlYXR1cmUtc2V0dGluZ3M6IFwicGFsdFwiO1xuICAgIH1cbiAgICAmOmJlZm9yZSB7XG4gICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICB0b3A6IDA7XG4gICAgICBsZWZ0OiAwO1xuICAgICAgd2lkdGg6IHB2UEMoMTYwKTtcbiAgICAgIGhlaWdodDogcHZQQygyMDApO1xuICAgICAgYm9yZGVyLXJhZGl1czogcHZQQyg2KTtcbiAgICAgIGJhY2tncm91bmQ6IHJnYmEoJGNvbG9yOiAkY29sb3ItcHJpbWFyeSwgJGFscGhhOiAuMTUpO1xuICAgICAgY29udGVudDogXCJcIjtcblxuICAgICAgQGluY2x1ZGUgc3Age1xuICAgICAgICB3aWR0aDogcHYoMjApO1xuICAgICAgICBoZWlnaHQ6IHB2KDEzMCk7XG4gICAgICAgIGJvcmRlci1yYWRpdXM6IDAgcHYoNikgcHYoNikgMDtcbiAgICAgIH1cbiAgICB9XG4gIH1cbiAgJl9fdGV4dC1ib3gge1xuICAgIG1hcmdpbi10b3A6IHB2UEMoLTMwKTtcbiAgICBwYWRkaW5nOiBwdlBDKDMwKSBwdlBDKDM0KSBwdlBDKDI4KSBwdlBDKDE5Nik7XG4gICAgd2lkdGg6IHB2UEMoMTEzMCk7XG4gICAgYm9yZGVyLXJhZGl1czogcHZQQyg2KTtcbiAgICBiYWNrZ3JvdW5kOiByZ2JhKCRjb2xvcjogJGNvbG9yLXByaW1hcnksICRhbHBoYTogLjE1KTtcbiAgICBsZXR0ZXItc3BhY2luZzogLjA4ZW07XG5cbiAgICBAaW5jbHVkZSBzcCB7XG4gICAgICBtYXJnaW4tdG9wOiBwdigtMjApO1xuICAgICAgcGFkZGluZzogcHYoMjApIHB2KDE1KSBwdigyMCkgcHYoNDApO1xuICAgICAgd2lkdGg6IHB2KDM3MCk7XG4gICAgICBoZWlnaHQ6IGF1dG87XG4gICAgICBib3JkZXItcmFkaXVzOiAwIHB2KDYpIHB2KDYpIDA7XG4gICAgfVxuICAgIHAge1xuICAgICAgZm9udC1zaXplOiBwdlBDKDE2KTtcbiAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDM3IC8gMTYpO1xuXG4gICAgICBAaW5jbHVkZSBzcCB7XG4gICAgICAgIGZvbnQtc2l6ZTogcHYoMTYpO1xuICAgICAgICBsaW5lLWhlaWdodDogY2FsYygzNyAvIDE2KTtcbiAgICAgIH1cbiAgICB9XG4gIH1cbn1cblxuLnNlcnZpY2Utc2VjIHtcbiAgbWFyZ2luOiAwIGF1dG87XG4gIHBhZGRpbmc6IHB2UEMoOTApIDAgMDtcbiAgd2lkdGg6IHB2UEMoMTIwMCk7XG5cbiAgQGluY2x1ZGUgc3Age1xuICAgIHBhZGRpbmc6IHB2KDYwKSBwdigyMCkgMDtcbiAgICB3aWR0aDogMTAwJTtcbiAgfVxuXG4gICZfX3RpdGxlIHtcbiAgICBtYXJnaW4tYm90dG9tOiBwdlBDKDYwKTtcblxuICAgIEBpbmNsdWRlIHNwIHtcbiAgICAgIG1hcmdpbi1ib3R0b206IHB2KDcwKTtcbiAgICB9XG4gIH1cbn1cblxuLnN0cmVuZ3Rocy1zZWMge1xuICBtYXJnaW46IDAgYXV0bztcbiAgcGFkZGluZzogcHZQQyg5MCkgMCAwO1xuICB3aWR0aDogcHZQQygxMjAwKTtcblxuICBAaW5jbHVkZSBzcCB7XG4gICAgcGFkZGluZzogcHYoNjApIHB2KDIwKSAwO1xuICAgIHdpZHRoOiAxMDAlO1xuICB9XG4gICZfX3RpdGxlIHtcbiAgICBtYXJnaW4tYm90dG9tOiBwdlBDKDE1MCk7XG5cbiAgICBAaW5jbHVkZSBzcCB7XG4gICAgICBtYXJnaW4tYm90dG9tOiBwdig4MCk7XG4gICAgfVxuICB9XG4gICZfX2xpc3Qge1xuICAgIGRpc3BsYXk6IGdyaWQ7XG4gICAgZ3JpZC10ZW1wbGF0ZS1jb2x1bW5zOiByZXBlYXQoMywxZnIpO1xuICAgIGdhcDogcHZQQyg2MCk7XG4gICAgY291bnRlci1yZXNldDogc3RyZW5ndGhzO1xuXG4gICAgQGluY2x1ZGUgc3Age1xuICAgICAgZ3JpZC10ZW1wbGF0ZS1jb2x1bW5zOiByZXBlYXQoMSwxZnIpO1xuICAgICAgZ2FwOiBwdig4MCk7XG4gICAgfVxuICB9XG4gICZfX2l0ZW0ge1xuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICB6LWluZGV4OiAwO1xuICAgIHBhZGRpbmc6IHB2UEMoMjApO1xuICAgIHdpZHRoOiAxMDAlO1xuICAgIGJvcmRlcjogcHZQQygxKSBzb2xpZCByZ2JhKCRjb2xvcjogJGNvbG9yLXByaW1hcnksICRhbHBoYTogMSk7XG4gICAgYm9yZGVyLXJhZGl1czogcHZQQyg2KTtcbiAgICBiYWNrZ3JvdW5kOiAjZmZmO1xuICAgIGNvdW50ZXItaW5jcmVtZW50OiBzdHJlbmd0aHM7XG5cbiAgICBAaW5jbHVkZSBzcCB7XG4gICAgICBwYWRkaW5nOiBwdigyMCk7XG4gICAgICBib3JkZXI6IHB2KDEpIHNvbGlkIHJnYmEoJGNvbG9yOiAkY29sb3ItcHJpbWFyeSwgJGFscGhhOiAxKTtcbiAgICAgIGJvcmRlci1yYWRpdXM6IHB2KDYpO1xuICAgIH1cbiAgICAmOmJlZm9yZSB7XG4gICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICB0b3A6IC0uODVlbTtcbiAgICAgIHJpZ2h0OiBwdlBDKDEwKTtcbiAgICAgIGNvbG9yOiAkY29sb3ItcHJpbWFyeTtcbiAgICAgIGNvbnRlbnQ6IGNvdW50ZXIoc3RyZW5ndGhzKTtcbiAgICAgIGZvbnQtd2VpZ2h0OiA5MDA7XG4gICAgICBmb250LXNpemU6IHB2UEMoNTApO1xuICAgICAgZm9udC1mYW1pbHk6ICRmb250LTM7XG4gICAgICBsaW5lLWhlaWdodDogMTtcblxuICAgICAgQGluY2x1ZGUgc3Age1xuICAgICAgICByaWdodDogcHYoMTApO1xuICAgICAgICBmb250LXNpemU6IHB2KDUwKTtcbiAgICAgIH1cbiAgICB9XG4gICAgJi10aXRsZSB7XG4gICAgICBtYXJnaW4tYm90dG9tOiBwdlBDKDIwKTtcbiAgICAgIGZvbnQtd2VpZ2h0OiBib2xkO1xuICAgICAgZm9udC1zaXplOiBwdlBDKDI0KTtcbiAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDM2IC8gMjQpO1xuXG4gICAgICBAaW5jbHVkZSBzcCB7XG4gICAgICAgIG1hcmdpbi1ib3R0b206IHB2KDIwKTtcbiAgICAgICAgZm9udC1zaXplOiBwdigyNCk7XG4gICAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDM2IC8gMjQpO1xuICAgICAgfVxuICAgIH1cbiAgICAmLXRleHQge1xuICAgICAgZm9udC1zaXplOiBwdlBDKDE2KTtcbiAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDMwIC8gMTYpO1xuXG4gICAgICBAaW5jbHVkZSBzcCB7XG4gICAgICAgIGZvbnQtc2l6ZTogcHYoMTYpO1xuICAgICAgICBsaW5lLWhlaWdodDogY2FsYygzMCAvIDE2KTtcbiAgICAgIH1cbiAgICB9XG4gIH1cbn1cblxuLm1lc3NhZ2Utc2VjIHtcbiAgbWFyZ2luOiAwIGF1dG87XG4gIHBhZGRpbmc6IHB2UEMoMjI1KSAwIDA7XG4gIHdpZHRoOiBwdlBDKDEyMDApO1xuXG4gIEBpbmNsdWRlIHNwIHtcbiAgICBwYWRkaW5nOiBwdig5MCkgcHYoMjApIDA7XG4gICAgd2lkdGg6IDEwMCU7XG4gIH1cblxuICAmX190aXRsZSB7XG4gICAgbWFyZ2luLWJvdHRvbTogcHZQQygxMDApO1xuXG4gICAgQGluY2x1ZGUgc3Age1xuICAgICAgbWFyZ2luLWJvdHRvbTogcHYoNzApO1xuICAgIH1cbiAgfVxuXG4gICZfX2NvbnRlbnRzIHtcbiAgICBtYXJnaW46IDAgYXV0bztcbiAgICB3aWR0aDogcHZQQyg3NTApO1xuXG4gICAgQGluY2x1ZGUgc3Age1xuICAgICAgd2lkdGg6IDEwMCU7XG4gICAgfVxuXG4gICAgJi10aXRsZSB7XG4gICAgICBtYXJnaW46IDAgMCBwdlBDKDMwKTtcbiAgICAgIGZvbnQtd2VpZ2h0OiBib2xkO1xuICAgICAgZm9udC1zaXplOiBwdlBDKDM2KTtcbiAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDUzIC8gMzYpO1xuXG4gICAgICBAaW5jbHVkZSBzcCB7XG4gICAgICAgIG1hcmdpbjogMCAwIHB2KDYwKTtcbiAgICAgICAgZm9udC1zaXplOiBwdigyNCk7XG4gICAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDM2IC8gMjQpO1xuICAgICAgfVxuICAgIH1cblxuICAgICYtdGV4dCB7XG4gICAgICBmb250LXNpemU6IHB2UEMoMTYpO1xuICAgICAgbGluZS1oZWlnaHQ6IGNhbGMoMzcgLyAxNik7XG5cbiAgICAgIEBpbmNsdWRlIHNwIHtcbiAgICAgICAgZm9udC1zaXplOiBwdigxNik7XG4gICAgICAgIGxpbmUtaGVpZ2h0OiBjYWxjKDM3IC8gMTYpO1xuICAgICAgfVxuICAgIH1cblxuICAgICYtbGluayB7XG4gICAgICBkaXNwbGF5OiBibG9jaztcbiAgICAgIG1hcmdpbjogcHZQQygzKSAwIDAgYXV0bztcbiAgICAgIHdpZHRoOiBmaXQtY29udGVudDtcblxuICAgICAgQGluY2x1ZGUgc3Age1xuICAgICAgICBtYXJnaW46IHB2KDMwKSAwIDA7XG4gICAgICB9XG4gICAgfVxuICB9XG59XG4iLCIvLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIHZhcmlhYmxlXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIGltZ+ODh+OCo+ODrOOCr+ODiOODquOBvuOBp+OBruODkeOCuVxuJGltZy1kaXI6IFwiLi4vaW1nXCI7XG5cbi8vIOOCs+ODs+ODhuODs+ODhOW5hVxuJGNvbnRlbnQtd2lkdGg6IHB2UEMoMTI0MCk7XG5cbi8vIFNQ5pmC44Gu5bem5Y+z44Gu5L2Z55m977yI54mH5pa577yJXG4kc3Atc2lkZS1wYWRkaW5nOiBwdlBDKDIwKTtcblxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIGJyZWFrcG9pbnRcbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyDkuIvoqJgy44Gk44Gu5aSJ5pWw44Gu6ZaT44GM44K/44OW44Os44OD44OI6KGo56S6XG4vLyDjgr/jg5bjg6zjg4Pjg4jooajnpLrjgarjgZfjga7loLTlkIjjga8y44Gk44Gu5aSJ5pWw44Gu5YCk44KS44CMMXB45beu44CN44Gn6Kit5a6a44GZ44KL44GT44GoXG5cbi8vICRwYy1icOS7peS4iuOBjFBD6KGo56S6XG4kcGMtYnA6IDc2OHB4O1xuXG4vLyAkc3AtYnDku6XkuIvjgYxTUOihqOekulxuJHNwLWJwOiA3NjdweDtcblxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIGZvbnRcbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4kZm9udC0xOiBcIk5vdG8gU2FucyBKUFwiLCBcIuODkuODqeOCruODjuinkuOCtCBQcm8gVzNcIiwgXCJIaXJhZ2lubyBLYWt1IEdvdGhpYyBQcm9cIiwgXCLmuLjjgrTjgrfjg4Pjgq9cIiwgWXVHb3RoaWMsIHNhbnMtc2VyaWY7XG4kZm9udC0yOiBcIk5vdG8gU2Fuc1wiLCBcIuODkuODqeOCruODjuinkuOCtCBQcm8gVzNcIiwgXCJIaXJhZ2lubyBLYWt1IEdvdGhpYyBQcm9cIiwgXCLmuLjjgrTjgrfjg4Pjgq9cIiwgWXVHb3RoaWMsIHNhbnMtc2VyaWY7XG4kZm9udC0zOiBcIlJvYm90b1wiLCBcIuODkuODqeOCruODjuinkuOCtCBQcm8gVzNcIiwgXCJIaXJhZ2lubyBLYWt1IEdvdGhpYyBQcm9cIiwgXCLmuLjjgrTjgrfjg4Pjgq9cIiwgWXVHb3RoaWMsIHNhbnMtc2VyaWY7XG5cbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyBjb2xvclxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbiRibGFjazogIzAwMDtcblxuJHdoaXRlOiAjZmZmO1xuXG4kY29sb3ItMTogIzAwMDtcblxuJGNvbG9yLXByaW1hcnk6ICNjNTlhNGU7XG5cbiRjb2xvci1zZWNvbmRhcnk6ICMyMzE4MTU7XG5cbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyBDU1MgVHJhbnNpdGlvbiBFYXNpbmdcbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyBEZWZhdWx0XG4kbGluZWFyOiBjdWJpYy1iZXppZXIoLjI1MCwgLjI1MCwgLjc1MCwgLjc1MCk7XG4kZWFzZTogY3ViaWMtYmV6aWVyKC4yNTAsIC4xMDAsIC4yNTAsIDEuMDAwKTtcbiRlYXNlLWluOiBjdWJpYy1iZXppZXIoLjQyMCwgLjAwMCwgMS4wMDAsIDEuMDAwKTtcbiRlYXNlLW91dDogY3ViaWMtYmV6aWVyKC4wMDAsIC4wMDAsIC41ODAsIDEuMDAwKTtcbiRlYXNlLWluLW91dDogY3ViaWMtYmV6aWVyKC40MjAsIC4wMDAsIC41ODAsIDEuMDAwKTtcbi8vIEluXG4kZWFzZUluUXVhZDogY3ViaWMtYmV6aWVyKC41NTAsIC4wODUsIC42ODAsIC41MzApO1xuJGVhc2VJbkN1YmljOiBjdWJpYy1iZXppZXIoLjU1MCwgLjA1NSwgLjY3NSwgLjE5MCk7XG4kZWFzZUluUXVhcnQ6IGN1YmljLWJlemllciguODk1LCAuMDMwLCAuNjg1LCAuMjIwKTtcbiRlYXNlSW5RdWludDogY3ViaWMtYmV6aWVyKC43NTUsIC4wNTAsIC44NTUsIC4wNjApO1xuJGVhc2VJblNpbmU6IGN1YmljLWJlemllciguNDcwLCAuMDAwLCAuNzQ1LCAuNzE1KTtcbiRlYXNlSW5FeHBvOiBjdWJpYy1iZXppZXIoLjk1MCwgLjA1MCwgLjc5NSwgLjAzNSk7XG4kZWFzZUluQ2lyYzogY3ViaWMtYmV6aWVyKC42MDAsIC4wNDAsIC45ODAsIC4zMzUpO1xuJGVhc2VJbkJhY2s6IGN1YmljLWJlemllciguNjAwLCAtLjI4MCwgLjczNSwgLjA0NSk7XG4vLyBPdXRcbiRlYXNlT3V0UXVhZDogY3ViaWMtYmV6aWVyKC4yNTAsIC40NjAsIC40NTAsIC45NDApO1xuJGVhc2VPdXRDdWJpYzogY3ViaWMtYmV6aWVyKC4yMTUsIC42MTAsIC4zNTUsIDEuMDAwKTtcbiRlYXNlT3V0UXVhcnQ6IGN1YmljLWJlemllciguMTY1LCAuODQwLCAuNDQwLCAxLjAwMCk7XG4kZWFzZU91dFF1aW50OiBjdWJpYy1iZXppZXIoLjIzMCwgMS4wMDAsIC4zMjAsIDEuMDAwKTtcbiRlYXNlT3V0U2luZTogY3ViaWMtYmV6aWVyKC4zOTAsIC41NzUsIC41NjUsIDEuMDAwKTtcbiRlYXNlT3V0RXhwbzogY3ViaWMtYmV6aWVyKC4xOTAsIDEuMDAwLCAuMjIwLCAxLjAwMCk7XG4kZWFzZU91dENpcmM6IGN1YmljLWJlemllciguMDc1LCAuODIwLCAuMTY1LCAxLjAwMCk7XG4kZWFzZU91dEJhY2s6IGN1YmljLWJlemllciguMTc1LCAuODg1LCAuMzIwLCAxLjI3NSk7XG4vLyBJbiBPdXRcbiRlYXNlSW5PdXRRdWFkOiBjdWJpYy1iZXppZXIoLjQ1NSwgLjAzMCwgLjUxNSwgLjk1NSk7XG4kZWFzZUluT3V0Q3ViaWM6IGN1YmljLWJlemllciguNjQ1LCAuMDQ1LCAuMzU1LCAxLjAwMCk7XG4kZWFzZUluT3V0UXVhcnQ6IGN1YmljLWJlemllciguNzcwLCAuMDAwLCAuMTc1LCAxLjAwMCk7XG4kZWFzZUluT3V0UXVpbnQ6IGN1YmljLWJlemllciguODYwLCAuMDAwLCAuMDcwLCAxLjAwMCk7XG4kZWFzZUluT3V0U2luZTogY3ViaWMtYmV6aWVyKC40NDUsIC4wNTAsIC41NTAsIC45NTApO1xuJGVhc2VJbk91dEV4cG86IGN1YmljLWJlemllcigxLjAwMCwgLjAwMCwgLjAwMCwgMS4wMDApO1xuJGVhc2VJbk91dENpcmM6IGN1YmljLWJlemllciguNzg1LCAuMTM1LCAuMTUwLCAuODYwKTtcbiRlYXNlSW5PdXRCYWNrOiBjdWJpYy1iZXppZXIoLjY4MCwgLS41NTAsIC4yNjUsIDEuNTUwKTtcblxuXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIG1peGluXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cblxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIGNsZWFyZml4XG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuQG1peGluIGNmIHtcbiAgJjphZnRlciB7XG4gICAgZGlzcGxheTogYmxvY2s7XG4gICAgY2xlYXI6IGJvdGg7XG4gICAgY29udGVudDogXCJcIjtcbiAgfVxufVxuXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuLy8gc2FmZS1hcmVhXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuQG1peGluIHNhZmVfYXJlYSB7XG4gIHBhZGRpbmctdG9wOiBjb25zdGFudChzYWZlLWFyZWEtaW5zZXQtdG9wKTtcbiAgcGFkZGluZy10b3A6IGVudihzYWZlLWFyZWEtaW5zZXQtdG9wKTtcbiAgcGFkZGluZy1yaWdodDogY29uc3RhbnQoc2FmZS1hcmVhLWluc2V0LXJpZ2h0KTtcbiAgcGFkZGluZy1yaWdodDogZW52KHNhZmUtYXJlYS1pbnNldC1yaWdodCk7XG4gIHBhZGRpbmctYm90dG9tOiBjb25zdGFudChzYWZlLWFyZWEtaW5zZXQtYm90dG9tKTtcbiAgcGFkZGluZy1ib3R0b206IGVudihzYWZlLWFyZWEtaW5zZXQtYm90dG9tKTtcbiAgcGFkZGluZy1sZWZ0OiBjb25zdGFudChzYWZlLWFyZWEtaW5zZXQtbGVmdCk7XG4gIHBhZGRpbmctbGVmdDogZW52KHNhZmUtYXJlYS1pbnNldC1sZWZ0KTtcbn1cblxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIGHjgr/jgrDjga7jgqvjg6njg7zlpInmm7Rcbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG5AbWl4aW4gYS10YWcoJGNvbG9yMSwgJGNvbG9yMikge1xuICAmOmxpbmssXG4gICY6YWN0aXZlLFxuICAmOnZpc2l0ZWQge1xuICAgIGNvbG9yOiAkY29sb3IxO1xuICAgIGN1cnNvcjogcG9pbnRlcjtcbiAgfVxuICAmOmhvdmVyIHtcbiAgICBjb2xvcjogJGNvbG9yMjtcbiAgfVxufVxuXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuLy8g44OX44Os44O844K544Ob44Or44OA44O844Gu44Kr44Op44O85aSJ5pu0XG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuQG1peGluIHBsYWNlaG9sZGVyKCRjb2xvcikge1xuICAmOnBsYWNlaG9sZGVyLXNob3duIHtcbiAgICBjb2xvcjogJGNvbG9yO1xuICB9XG4gICY6Oi13ZWJraXQtaW5wdXQtcGxhY2Vob2xkZXIge1xuICAgIGNvbG9yOiAkY29sb3I7XG4gIH1cbiAgJjotbW96LXBsYWNlaG9sZGVyIHtcbiAgICBjb2xvcjogJGNvbG9yO1xuICAgIG9wYWNpdHk6IDE7XG4gIH1cbiAgJjo6LW1vei1wbGFjZWhvbGRlciB7XG4gICAgY29sb3I6ICRjb2xvcjtcbiAgICBvcGFjaXR5OiAxO1xuICB9XG4gICY6LW1zLWlucHV0LXBsYWNlaG9sZGVyIHtcbiAgICBjb2xvcjogJGNvbG9yO1xuICB9XG59XG5cbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyBtZWRpYSBxdWVyeVxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbkBtaXhpbiBtcSgkbWluLXdpZHRoLCAkbWF4LXdpZHRoKSB7XG4gIEBtZWRpYSBzY3JlZW4gYW5kIChtaW4td2lkdGg6ICgkbWluLXdpZHRoICsgcHgpKSBhbmQgKG1heC13aWR0aDogKCRtYXgtd2lkdGggKyBweCkpIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuQG1peGluIG1xX21pbigkd2lkdGgpIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1pbi13aWR0aDogKCR3aWR0aCArIHB4KSkge1xuICAgIEBjb250ZW50O1xuICB9XG59XG5AbWl4aW4gbXFfbWF4KCR3aWR0aCkge1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWF4LXdpZHRoOiAoJHdpZHRoICsgcHgpKSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cblxuLy8gZGV2aWNlXG5AbWl4aW4gcGMge1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWluLXdpZHRoOiAkcGMtYnApIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuQG1peGluIHNwIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDogJHNwLWJwKSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cbkBtaXhpbiB0YWIge1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWluLXdpZHRoOiAoJHNwLWJwICsgMXB4KSkgYW5kIChtYXgtd2lkdGg6ICgkcGMtYnAgLSAxcHgpKSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cbkBtaXhpbiBwY190YWIge1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWluLXdpZHRoOiAoJHNwLWJwICsgMXB4KSkge1xuICAgIEBjb250ZW50O1xuICB9XG59XG5AbWl4aW4gc3BfdGFiIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDogKCRwYy1icCAtIDFweCkpIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuQG1peGluIHBjX2NvbnRlbnQge1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWluLXdpZHRoOiAoJHBjLWJwKSkgYW5kIChtYXgtd2lkdGg6ICgkY29udGVudC13aWR0aCkpIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuLy8gY3NzIGhhY2tcbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyBDaHJvbWUoYW5kIFNhZmFyaSwgT3BlcmEpXG5AbWl4aW4gY2hyb21lIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKC13ZWJraXQtbWluLWRldmljZS1waXhlbC1yYXRpbzowKSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cbi8vIEZpcmVGb3hcbkBtaXhpbiBmaXJlZm94IHtcbiAgXzpsYW5nKHgpOjotbW96LXBsYWNlaG9sZGVyLFxuICAmIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuLy8gRWRnZVxuQG1peGluIGVkZ2Uge1xuICBfOmxhbmcoeCk6Oi1tcy0sXG4gICYge1xuICAgIEBjb250ZW50O1xuICB9XG59XG4vLyBJRSgxMSlcbkBtaXhpbiBpZSB7XG4gIF86LW1zLWxhbmcoeCk6Oi1tcy1iYWNrZHJvcCxcbiAgJiB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cbi8vIFNhZmFyaVxuQG1peGluIHNhZmFyaSB7XG4gIF86bGFuZyh4KSArIF86LXdlYmtpdC1mdWxsLXNjcmVlbi1kb2N1bWVudCxcbiAgJiB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cblxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIG9iamVjdCBmaXQgaW1hZ2VzXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuQG1peGluIG9maSgkc2l6ZSkge1xuICBvYmplY3QtZml0OiAkc2l6ZTtcblxuICBAaW5jbHVkZSBpZSB7XG4gICAgZm9udC1mYW1pbHk6IFwib2JqZWN0LWZpdDogI3skc2l6ZX07XCI7XG4gIH1cbn1cblxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIGhpZGUgc2Nyb2xsYmFyXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuQG1peGluIGhpZGUtc2Nyb2xsYmFyIHtcbiAgLW1zLW92ZXJmbG93LXN0eWxlOiBub25lO1xuICBzY3JvbGxiYXItd2lkdGg6IG5vbmU7XG4gICY6Oi13ZWJraXQtc2Nyb2xsYmFyIHtcbiAgICBkaXNwbGF5OiBub25lO1xuICB9XG59XG5cbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyBsaW5lIGNsYW1wXG4vLz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PVxuQG1peGluIGxpbmUtY2xhbXAoJGxpbmUpIHtcbiAgZGlzcGxheTogLXdlYmtpdC1ib3g7XG4gIG92ZXJmbG93OiBoaWRkZW47XG4gIC13ZWJraXQtYm94LW9yaWVudDogdmVydGljYWw7XG4gIC13ZWJraXQtbGluZS1jbGFtcDogJGxpbmU7XG59XG5cbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG4vLyBob3ZlclxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbkBtaXhpbiBob3ZlciB7XG4gIEBtZWRpYSAoaG92ZXI6IGhvdmVyKSB7XG4gICAgJjpob3ZlciB7XG4gICAgICBAY29udGVudDtcbiAgICB9XG4gIH1cbn1cblxuLy89PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT1cbi8vIFJlc3BvbnNpdmVcbi8vPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09XG5AZnVuY3Rpb24gcHYoJG51bSwgJHdpZHRoOiAzOTApIHtcbiAgQHJldHVybiBjYWxjKDF2dyAqICRudW0gLyAkd2lkdGggKiAxMDApO1xufVxuXG5AZnVuY3Rpb24gcHZQQygkbnVtLCAkd2lkdGg6IDE0NDApIHtcbiAgQHJldHVybiBjYWxjKDF2dyAqICRudW0gLyAkd2lkdGggKiAxMDApO1xufVxuIl19 */
